Get all SIM card groups
Get all SIM card groups belonging to the user that match the given filters.
GET
/
sim_card_groups
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardGroupListResponse of client.simCardGroups.list()) {
console.log(simCardGroupListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_groups.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardGroups.List(context.TODO(), telnyx.SimCardGroupListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardgroups.SimCardGroupListPage;
import com.telnyx.sdk.models.simcardgroups.SimCardGroupListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardGroupListPage page = client.simCardGroups().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_groups.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardGroups->list(
filterName: 'My Test Group',
filterPrivateWirelessGatewayID: '7606c6d3-ff7c-49c1-943d-68879e9d584d',
filterWirelessBlocklistID: '0f3f490e-c4d3-4cf5-838a-9970f10ee259',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-groups list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_group",
"default": true,
"name": "My Test Group",
"data_limit": {
"amount": "2048.1",
"unit": "MB"
},
"consumed_data": {
"unit": "MB",
"amount": "2048.1"
},
"sim_card_count": 10,
"private_wireless_gateway_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"wireless_blocklist_id": "5aa584f6-14b1-41b2-8e01-1c04d1ee77c1",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The page number to load.
Required range:
x >= 1The size of the page.
Required range:
1 <= x <= 250A valid SIM card group name.
Example:
"My Test Group"
A Private Wireless Gateway ID associated with the group.
Example:
"7606c6d3-ff7c-49c1-943d-68879e9d584d"
A Wireless Blocklist ID associated with the group.
Example:
"0f3f490e-c4d3-4cf5-838a-9970f10ee259"
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const simCardGroupListResponse of client.simCardGroups.list()) {
console.log(simCardGroupListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.sim_card_groups.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.SimCardGroups.List(context.TODO(), telnyx.SimCardGroupListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.simcardgroups.SimCardGroupListPage;
import com.telnyx.sdk.models.simcardgroups.SimCardGroupListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
SimCardGroupListPage page = client.simCardGroups().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.sim_card_groups.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->simCardGroups->list(
filterName: 'My Test Group',
filterPrivateWirelessGatewayID: '7606c6d3-ff7c-49c1-943d-68879e9d584d',
filterWirelessBlocklistID: '0f3f490e-c4d3-4cf5-838a-9970f10ee259',
pageNumber: 1,
pageSize: 1,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx sim-card-groups list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/sim_card_groups \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "sim_card_group",
"default": true,
"name": "My Test Group",
"data_limit": {
"amount": "2048.1",
"unit": "MB"
},
"consumed_data": {
"unit": "MB",
"amount": "2048.1"
},
"sim_card_count": 10,
"private_wireless_gateway_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"wireless_blocklist_id": "5aa584f6-14b1-41b2-8e01-1c04d1ee77c1",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}